Pro Sites error after updating Wordpress

After I upgraded Pro Sites and WP to the latest versions my site does not work and debugging throws up:

Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /home/sheepwal/public_html/themessagewall/wp-content/plugins/pro-sites/pro-sites-files/lib/ProSites/Module/Taxamo/lib/Taxamo/Swagger.php on line 185

Please can you help?
Marc

  • Vaughan
    • Support/SLS MockingJay

    Hi @chairleg,

    Hope you're well?

    This is due to your PHP version on your server. It is recommended to have at least a minimum PHP version of 5.3 or 5.4, the later the the better and more future proof, so 5.6 is ideal

    Could you ask your webhost to update your PHP from 5.2 to at least one of those versions above. This is not only better for you for future compatibility, but 5.2 has reached end of life and as such upgrading will also improve security. No webhost should be using 5.2 these days.

    Hope this helps

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.